using APT.BaseData.Domain.Entities;
using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.WB;
using APT.MS.Domain.Enums;
using System;
using System.ComponentModel;
namespace APT.MS.Domain.Entities.WB
{
    /// <summary>
    /// 导航：审核
    /// </summary>
    [Description("导航：审核")]
    public class T_WB_DANGEROUS_JOB_AUDIT : MesEntityBase
    {
        /// <summary>
        /// 外包工程危险作业表ID
        /// </summary>
        [Description("外包工程危险作业表ID")]
        [DataFieldForeignKey("Nav_Parent", "Nav_Audit")]
        public Guid PARENT_ID { get; set; }
        /// <summary>
        /// 导航: 试题
        /// </summary>
        [Description("导航: 调查表")]
        public T_WB_DANGEROUS_JOB Nav_Parent { get; set; }
        /// <summary>
        /// 审核人员
        /// </summary>
        [Description("审核人员")]
        [DataFieldForeignKey("Nav_User")]
        public Guid? USER_ID { get; set; }
        /// <summary>
        /// 导航: 审核人员
        /// </summary>
        [Description("导航: 审核人员")]
        public T_FM_USER Nav_User { get; set; }
        /// <summary>
        /// 审批意见
        /// </summary>
        [Description("审批意见")]
        [DataFieldLength(2000)]
        [FormFieldEdit]
        public string AUDIT_OPINION { get; set; }
        /// <summary>
        /// 审批日期
        /// </summary>
        [Description("审批日期")]
        public DateTime AUDIT_DATE { get; set; }
        /// <summary>
        /// 是否同意
        /// </summary>
        [Description("是否同意")]
        [EnumName("ISORNOT")]
        public ISORNOT ISORNOT { get; set; }
        /// <summary>
        /// 审核状态
        /// </summary>
        [Description("审核状态")]
        public int AUDIT_STATUS { get; set; }
    }
}
